Source: https://manu-tests-all-orgs.docs-staging.pageloop.ai/api-reference/workflows/getapi-v1-workspaces-id-request-automations-type-query-conditions

# Get placeholders, adhoc query conditions for request automation

GET `https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}/query-conditions`

## Authorization

#### X-Api-Key (header, string, required)

API key authentication.

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### id (path, integer, required)

Workspace ID (numeric). Find yours under Settings → Workspace.

#### type (path, enum (string), required) — allowed: QUESTION\_REQUEST, SERVICE\_REQUEST, INCIDENT\_REQUEST, REQUEST, CHANGE, NOTIFICATIONS, CUSTOM\_OBJECT, ASSET

Automation entity type (see allowed values in the enum schema).

## Query Parameters

#### context (query, enum (string), required) — allowed: EMAIL, SLACK, COLLABORATOR, ASSIGNEE, PLACEHOLDERS, DATE, EMAIL\_SEND, REQUEST\_UPDATE\_FIELDS, ID, CATALOG\_ITEM\_PLACEHOLDERS, REQUEST\_ASSIGNEE, REQUESTER\_PLACEHOLDERS, REQUEST\_PLACEHOLDERS, CATALOG\_CATEGORY, CATALOG\_ITEM, PLACEHOLDER\_OPTIONS, CHANGE\_PLACEHOLDERS, CHANGE\_REQUESTER\_PLACEHOLDERS, CHANGE\_TEMPLATE\_PLACEHOLDERS, CHANGE\_TEMPLATE, SEND\_REPLY\_PLACEHOLDERS, SEND\_PRIVATE\_COMMENT\_PLACEHOLDERS, REQUEST\_SUMMARY\_PLACEHOLDER, ACCOUNT\_PLACEHOLDERS, PEOPLE, SERVICE\_CATEGORY\_PLACEHOLDERS, ASSET, PEOPLE\_PLACEHOLDERS, APPROVAL\_PLACEHOLDER\_OPTIONS, CHANGE\_APPROVAL\_PLACEHOLDER\_OPTIONS, REQUEST\_PEOPLE\_PLACEHOLDERS, REQUEST\_ASSET\_PEOPLE\_PLACEHOLDERS, REQUEST\_CATALOG\_ITEM\_PEOPLE\_PLACEHOLDERS, APPROVAL\_PLACEHOLDER\_TABS, SERVICE\_CATEGORY\_APPROVERS, SERVICE\_ITEMS\_APPROVERS, REQUEST\_RELATIONSHIP\_PLACEHOLDERS, SERVICE\_ITEM\_RELATIONSHIP\_PLACEHOLDERS, CATALOG\_ITEMS\_APPROVERS, INCIDENT\_CATEGORY\_APPROVERS, INCIDENT\_CATEGORY, CANNED\_RESPONSES\_PLACEHOLDER\_OPTIONS, REQUEST\_ADD\_TAGS, EVENT\_PLACEHOLDERS, EVENT\_ADD\_TAGS\_PLACEHOLDER, EVENT\_REMOVE\_TAGS\_PLACEHOLDER, APPROVER\_PLACEHOLDER\_OPTIONS, CHANGE\_PEOPLE\_PLACEHOLDERS, CHANGE\_RELATIONSHIP\_PLACEHOLDERS, CHANGE\_TEMPLATE\_RELATIONSHIP\_PLACEHOLDERS, CHANGE\_RELATIONSHIP\_PEOPLE\_PLACEHOLDERS, CHANGE\_TEMPLATE\_RELATIONSHIP\_PEOPLE\_PLACEHOLDERS, CONVERSATION\_PLACEHOLDERS, IDENTITY\_ACCESS\_PLACEHOLDERS, CUSTOM\_OBJECT\_PLACEHOLDERS, CUSTOM\_OBJECT\_TYPE\_PLACEHOLDERS, CUSTOM\_OBJECT\_RELATIONSHIP\_PLACEHOLDERS, ASSET\_PLACEHOLDERS

#### field\_type (query, string)

#### entity\_id (query, integer)

Overloaded parameter by QueryContext. For REQUEST/CHANGE: service item/change template ID. For CUSTOM\_OBJECT: use entity\_type\_id instead (new parameter).

#### entity\_type\_id (query, integer)

Entity type ID for typed entity automations (CUSTOM\_OBJECT today, ASSET in future). Preferred over entity\_id for these types.

#### q (query, string)

#### field\_id (query, integer)

#### trigger\_type (query, enum (string)) — allowed: EVENT, SCHEDULED\_RECURRING

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}/query-conditions' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}/query-conditions', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}/query-conditions',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
